Bug 153001 - emulators/vmware-guestd5, vmware-guestd6 hang on fetch, IS_INTERACTIVE is wrongly ifdefd
Summary: emulators/vmware-guestd5, vmware-guestd6 hang on fetch, IS_INTERACTIVE is wro...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: matusita
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-10 19:06 UTC by jhs
Modified: 2010-12-15 12:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.31 KB, patch)
2010-12-10 19:06 UTC, jhs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jhs 2010-12-10 19:06:13 UTC
	
/usr/ports/emulators/
	vmware-guestd5  
	vmware-guestd6 
hang on 
	make fetch BATCH=YES
because 
	IS_INTERACTIVE
is wrongly protected by preceeding ifdef

Fix: Apply patches appended, from what will be in 
	http://berklix.com/~jhs/src/bsd/fixes/freebsd/ports/gen/emulators/vmware-guestd5/Makefile.REL=8.1_RELEASE.diff
	http://berklix.com/~jhs/src/bsd/fixes/freebsd/ports/gen/emulators/vmware-guestd6/Makefile.REL=8.1_RELEASE.diff

PS Yes the ## lines dont need to exist at all.
----------
How-To-Repeat: 	
	cd /usr/ports/emulators/
		vmware-guestd5
        	vmware-guestd6
	make fetch BATCH=YES
Comment 1 Philip M. Gollucci freebsd_committer 2010-12-11 00:06:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I will take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-12-12 01:13:19 UTC
Responsible Changed
From-To: pgollucci->matusita

Over to maintainer
Comment 3 dfilter service freebsd_committer 2010-12-15 12:42:20 UTC
matusita    2010-12-15 12:42:15 UTC

  FreeBSD ports repository

  Modified files:
    emulators/vmware-guestd5 Makefile 
    emulators/vmware-guestd6 Makefile 
  Log:
  Remove unneeded ifdefs.
  
  PR:             153001
  Submitted by:   Julian H. Stacey <jhs at berklix dotcom>
  
  Revision  Changes    Path
  1.45      +0 -2      ports/emulators/vmware-guestd5/Makefile
  1.58      +0 -2      ports/emulators/vmware-guestd6/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 matusita freebsd_committer 2010-12-15 12:42:33 UTC
State Changed
From-To: open->closed

Committed as submitted.